--- title: "addNetworkAclInboundRule" slug: "networking-vpc-networkacl-addnetworkaclinboundrule" updated: 2026-09-17T10:12:33Z published: 2026-09-17T10:12:33Z canonical: "api.ncloud-docs.com/networking-vpc-networkacl-addnetworkaclinboundrule" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # addNetworkAclInboundRule Available in VPC Add a list of inbound rules for a network ACL. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vpc/v2/addNetworkAclInboundRule | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all VPC APIs, see [VPC common headers](/docs/en/networking-vpc#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the network ACL to which you want to add the inbound rule - First Region of the query result (default) - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). | | `networkAclNo` | String | Required | Network ACL number - See [getNetworkAclList](/docs/en/networking-vpc-networkacl-getnetworkacllist). | | `networkAclRuleList.N.priority` | Integer | Required | Priority of the network ACL rule - 0-100 - It can't be duplicated with the priority of another inbound rule. | | `networkAclRuleList.N.protocolTypeCode` | String | Required | Network ACL rule's protocol type code - `TCP` \| `UDP` \| `ICMP` | | `networkAclRuleList.N.ipBlock` | String | Conditional | IP address range to be allowed in the network ACL rule - Example: 0.0.0.0/0, 100.10.20.0/24, 192.168.0.10/32 | | `networkAclRuleList.N.denyAllowGroupNo` | String | Conditional | Deny-Allow group number for the network ACL - It can be specified instead of the IP address range to be allowed by the network ACL rule. - `denyAllowGroupNo` can be obtained through [getNetworkAclDenyAllowGroupList](/docs/en/networking-vpc-networkacl-getnetworkacldenyallowgrouplist). | | `networkAclRuleList.N.portRange` | String | Conditional | Network ACL rule's port range - e.g., Single port: 22, Range specification: 1-65535 - No entry if `protocolTypeCode` is ICMP | | `networkAclRuleList.N.ruleActionCode` | String | Required | Whether to allow traffic - `ALLOW` \| `DROP` | | `networkAclRuleList.N.networkAclRuleDescription` | String | Optional | Network ACL rule description (byte) - 0-1000 | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location 'https://ncloud.apigw.ntruss.com/vpc/v2/addNetworkAclInboundRule ?regionCode=KR &networkAclNo=***31 &networkAclRuleList.1.priority=0 &networkAclRuleList.1.protocolTypeCode=TCP &networkAclRuleList.1.ipBlock=***.***.0.0/0 &networkAclRuleList.1.portRange=22-23 &networkAclRuleList.1.ruleActionCode=ALLOW' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body See [NetworkAclRuleList](/docs/en/common-vapidatatype-networkaclrulelist) for the response body. ### Response status codes For information about the HTTP status codes common to all VPC APIs, see [VPC response status codes](/docs/en/networking-vpc#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` 189b16ac-26a0-472e-b3a9-47b80cdf7dfe 0 success 1 ***31 0 TCP tcp 22-23 ALLOW Allow 2020-08-05T19:56:35+0900 ***.***.0.0/0 INBND Inbound ```